import { DomainModule } from 'bf-types';
export declare type Await<T> = T extends Promise<infer U> ? U : T;
/**
 * A string formatted as a ISO 8601 timestamp
 */
export declare type ISODATE = string;
export declare type ValidModuleName = DomainModule;
export declare type Nullable<T> = T | null;
export declare type PartialExceptFor<T, TRequired extends keyof T> = Partial<T> & Pick<T, TRequired>;
